# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXShrink

Function

Removes information added to an Object by `DXGrow`.

Syntax
`
#include <dx/dx.h>
`

Object DXShrink(Object object)

Functional Details

Removes information from Object `object` added onto each partition of Composite Field members of `object` by `DXGrow`.

Each "original component" in `object` is renamed "component," replacing any existing components of that name. To prevent this, the "original component" can be deleted with `DXRemove` or `DXDeleteComponent` before `DXShrink` is called.

Return Value

Returns the Object with added data removed or returns `NULL` and sets an error code.

See Also

`DXDeleteComponent, DXGrow, DXGrowV, DXRemove`

14.4 , "Growing and Shrinking Partitioned Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]